Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Wolf2019-03-24 17:39:05 -0400
committerThomas Wolf2019-03-24 17:45:27 -0400
commit151c05786179f7bed55e59850468a4eabd96ed6d (patch)
treef00b783d16e3fc44a540d0e3f12c4899a0dd2755
parente9a4057a0cb71f9e659d88f82e6b24e98f74218d (diff)
downloadegit-github-151c05786179f7bed55e59850468a4eabd96ed6d.tar.gz
egit-github-151c05786179f7bed55e59850468a4eabd96ed6d.tar.xz
egit-github-151c05786179f7bed55e59850468a4eabd96ed6d.zip
Set minimum versions to the ones from Neon.0
Change-Id: I5a7e75424bb1f1f55dcbd3a7b8988dad7fda2055 Signed-off-by: Thomas Wolf <thomas.wolf@paranor.ch>
-rw-r--r--org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF2
-rw-r--r--org.eclipse.mylyn.github-feature/feature.xml2
-rw-r--r--org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF6
-rw-r--r--org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF4
-rw-r--r--org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF30
5 files changed, 22 insertions, 22 deletions
diff --git a/org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF b/org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF
index 4bbe07d5..5738f728 100644
--- a/org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.github.core.tests/META-INF/MANIFEST.MF
@@ -17,7 +17,7 @@ Import-Package: com.google.gson;version="[1.6.0,3.0.0]",
org.mockito.junit;version="2.13.0",
org.mockito.runners;version="[2.13.0,3.0.0)",
org.mockito.stubbing;version="[2.13.0,3.0.0)"
-Require-Bundle: org.junit;bundle-version="[4.8.1,5.0.0)",
+Require-Bundle: org.junit;bundle-version="[4.12.0,5.0.0)",
org.hamcrest;bundle-version="[1.1.0,2.0.0)",
org.objenesis;bundle-version="[2.6.0,3.0.0)"
Bundle-Vendor: %providerName
diff --git a/org.eclipse.mylyn.github-feature/feature.xml b/org.eclipse.mylyn.github-feature/feature.xml
index 104524f7..da8b2e22 100644
--- a/org.eclipse.mylyn.github-feature/feature.xml
+++ b/org.eclipse.mylyn.github-feature/feature.xml
@@ -22,7 +22,7 @@
<requires>
<import feature="org.eclipse.egit" version="5.4.0" match="equivalent"/>
- <import feature="org.eclipse.mylyn_feature" version="3.21.0" match="greaterOrEqual"/>
+ <import feature="org.eclipse.mylyn_feature" version="3.20.0" match="greaterOrEqual"/>
<import plugin="com.google.gson" version="1.6" match="greaterOrEqual"/>
</requires>
diff --git a/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
index a89240d5..6546bd7d 100644
--- a/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
@@ -11,9 +11,9 @@ Export-Package: org.eclipse.mylyn.internal.github.core;version="5.4.0";x-friends
org.eclipse.mylyn.internal.github.core.gist;version="5.4.0";x-friends:="org.eclipse.mylyn.github.ui",
org.eclipse.mylyn.internal.github.core.issue;version="5.4.0";x-friends:="org.eclipse.mylyn.github.ui",
org.eclipse.mylyn.internal.github.core.pr;version="5.4.0";x-friends:="org.eclipse.mylyn.github.ui"
-Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.mylyn.tasks.core;bundle-version="[3.21.0,4.0.0)",
- org.eclipse.mylyn.commons.net;bundle-version="[3.21.0,4.0.0)"
+Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
+ org.eclipse.mylyn.tasks.core;bundle-version="[3.20.0,4.0.0)",
+ org.eclipse.mylyn.commons.net;bundle-version="[3.20.0,4.0.0)"
Import-Package: org.eclipse.egit.core;version="[5.4.0,5.5.0)",
org.eclipse.egit.github.core;version="[5.4.0,5.5.0)",
org.eclipse.egit.github.core.client;version="[5.4.0,5.5.0)",
diff --git a/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
index 5511e23f..61ed3b9f 100644
--- a/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
@@ -5,8 +5,8 @@ Automatic-Module-Name: org.eclipse.mylyn.github.tests
Bundle-SymbolicName: org.eclipse.mylyn.github.tests
Bundle-Version: 5.4.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.eclipse.jface.text;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.mylyn.tasks.core;bundle-version="[3.21.0,4.0.0)",
+Require-Bundle: org.eclipse.jface.text;bundle-version="[3.11.0,4.0.0)",
+ org.eclipse.mylyn.tasks.core;bundle-version="[3.20.0,4.0.0)",
org.junit;bundle-version="[4.12.0,5.0.0)"
Bundle-Vendor: Eclipse EGit
Import-Package: org.eclipse.mylyn.internal.github.core;version="[5.4.0,5.5.0)",
diff --git a/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
index f1fb1e66..34dd473c 100644
--- a/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
@@ -8,22 +8,22 @@ Bundle-Version: 5.4.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: %providerName
Bundle-Localization: plugin
-Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.ui;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.ui.forms;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.mylyn.tasks.ui;bundle-version="[3.21.0,4.0.0)",
- org.eclipse.jface.text;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.mylyn.commons.core;bundle-version="[3.21.0,4.0.0)",
- org.eclipse.mylyn.commons.workbench;bundle-version="[3.21.0,4.0.0)",
- org.eclipse.mylyn.commons.net;bundle-version="[3.21.0,4.0.0)",
- org.eclipse.mylyn.tasks.core;bundle-version="[3.21.0,4.0.0)",
+Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
+ org.eclipse.ui;bundle-version="[3.108.0,4.0.0)",
+ org.eclipse.ui.forms;bundle-version="[3.7.0,4.0.0)",
+ org.eclipse.mylyn.tasks.ui;bundle-version="[3.20.0,4.0.0)",
+ org.eclipse.jface.text;bundle-version="[3.11.0,4.0.0)",
+ org.eclipse.mylyn.commons.core;bundle-version="[3.20.0,4.0.0)",
+ org.eclipse.mylyn.commons.workbench;bundle-version="[3.20.0,4.0.0)",
+ org.eclipse.mylyn.commons.net;bundle-version="[3.20.0,4.0.0)",
+ org.eclipse.mylyn.tasks.core;bundle-version="[3.20.0,4.0.0)",
org.eclipse.ui.ide;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.mylyn.commons.ui;bundle-version="[3.21.0,4.0.0)",
- org.eclipse.core.resources;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.mylyn.context.core;bundle-version="[3.21.0,4.0.0)",
- org.eclipse.mylyn.monitor.core;bundle-version="[3.21.0,4.0.0)",
- org.eclipse.mylyn.resources.ui;bundle-version="[3.21.0,4.0.0)"
+ org.eclipse.mylyn.commons.ui;bundle-version="[3.20.0,4.0.0)",
+ org.eclipse.core.resources;bundle-version="[3.11.0,4.0.0)",
+ org.eclipse.core.expressions;bundle-version="[3.5.100,4.0.0)",
+ org.eclipse.mylyn.context.core;bundle-version="[3.20.0,4.0.0)",
+ org.eclipse.mylyn.monitor.core;bundle-version="[3.20.0,4.0.0)",
+ org.eclipse.mylyn.resources.ui;bundle-version="[3.20.0,4.0.0)"
Export-Package: org.eclipse.mylyn.internal.github.ui;version="5.4.0";x-internal:=true,
org.eclipse.mylyn.internal.github.ui.gist;version="5.4.0";x-internal:=true,
org.eclipse.mylyn.internal.github.ui.issue;version="5.4.0";x-internal:=true

Back to the top